<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Puntos extends CI_Controller {

	public function __construct() {
		parent::__construct();
		if (empty($_SESSION['usuario'])) {
			if (!$this->Usuario->try()) {
				redirect('login');
			}
		}

		$this->load->model('Punto_model', 'Punto', true);
		$this->load->model('Cliente_model', 'Cliente', true);
		$this->load->model('Usuario_model', 'Usuario', true);
	}

	/**
	 * Muestra últimos puntos creados
	 */
	public function index() {
		$data = [];
		$data['puntos'] = $this->Punto->puntos($data);
		$data['estados_puntos'] = $this->Punto->estados();
		$data['usuarios'] = $this->Usuario->lista();
		$data['clientes'] = $this->Cliente->ps_nombre_list();

		$data['title'] = 'Puntos DeMente';
		$data['content'] = $this->load->view('puntos/index', $data , true);
		$this->load->view('default', $data);
	}

	/*
	public function serverinfo() {
		$data['title'] = 'PHP Info';
		$data['content'] = $this->load->view('utilidades/phpinfo', $data , true);
		$this->load->view('default', $data);
	}
	*/

	/**
	 * Entrega información de registro de loyalty
	 */
	public function info() {
		if (!empty($this->input->post('id'))) {
			$result = $this->Punto->info($this->input->post('id'));
		}
		else {
			$result['error'] = TRUE;
		}
		echo json_encode($result);
	}

	/**
	 * Guarda edición de resgistros de loyalty
	 */
	public function save() {
		if (!empty($_POST)) {
			$result = $this->Punto->save($_POST);
			header('Content-type: application/json');
			echo json_encode($result);
		}
	}
}